Loading...
Searching...
No Matches
HiddenDouble Class Reference
Inheritance diagram for HiddenDouble:
[legend]
Collaboration diagram for HiddenDouble:
[legend]

## Public Member Functions

| HiddenDouble (char c, const char *desc, double &v)
virtual void | Status ()
Public Member Functions inherited from DoubleParameter
| DoubleParameter (char c, const char *desc, double &v)
DoubleParameter & | SetPrecision (int precision)
Public Member Functions inherited from Parameter
| Parameter (char c, const char *desc, void *v)
virtual bool | Read (int argc, char **argv, int argn)
virtual void | addParamsToString (String &params)
void | SetWarningBuffer (String &buffer)
void | warning (const char *format,...)

## Additional Inherited Members

Static Public Member Functions inherited from Parameter
static void | SetNameLen (int len)
static void | SetStatusLen (int len)
Protected Member Functions inherited from DoubleParameter
virtual void | Translate (const char *value)
virtual bool | TranslateExtras (const char *value, const char *extras)
Static Protected Member Functions inherited from Parameter
static bool | CheckInteger (const char *value)
static bool | CheckDouble (const char *value)
Protected Attributes inherited from DoubleParameter
int | precision
Protected Attributes inherited from Parameter
char | ch
char * | description
void * | var
String * | warnings
bool | myNoPhoneHome
String | myVersion
Static Protected Attributes inherited from Parameter
static const char | PARAM_STR_SEP = ','
static int | nameCol = 30
static int | statusCol = 15

## Detailed Description

Definition at line 162 of file Parameters.h.

## Constructor & Destructor Documentation

## HiddenDouble()

HiddenDouble::HiddenDouble | ( | char | c,
|  | const char * | desc,
|  | double & | v )

inline

Definition at line 165 of file Parameters.h.

: DoubleParameter(c, desc, v)
{}

## Member Function Documentation

## Status()

virtual void HiddenDouble::Status | ( |  | ) |

inline virtual

Reimplemented from DoubleParameter.

Definition at line 169 of file Parameters.h.

{ }

The documentation for this class was generated from the following file:

- general/Parameters.h